Bug 1118175 - SELinux is preventing /usr/sbin/ssmtp from 'create' accesses on the file .
Summary: SELinux is preventing /usr/sbin/ssmtp from 'create' accesses on the file .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ce0acfee0c5c2efac6112d0466e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 06:54 UTC by Marek Bryša
Modified: 2015-09-14 00:28 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.12.1-179.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-26 15:59:57 UTC


Attachments (Terms of Use)

Description Marek Bryša 2014-07-10 06:54:02 UTC
Description of problem:
ABRT detected a problem
SELinux is preventing /usr/sbin/ssmtp from 'create' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ssmtp should be allowed create access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sendmail /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sendmail_t:s0-s0:c0.c1023
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                 [ file ]
Source                        sendmail
Source Path                   /usr/sbin/ssmtp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ssmtp-2.64-11.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-171.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.14.8-200.fc20.x86_64 #1 SMP Mon
                              Jun 16 21:57:53 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-07-10 08:46:36 CEST
Last Seen                     2014-07-10 08:46:36 CEST
Local ID                      affb0137-5e88-4272-9611-d5250c02051c

Raw Audit Messages
type=AVC msg=audit(1404974796.462:1269): avc:  denied  { create } for  pid=12051 comm="sendmail" name="dead.letter" scontext=system_u:system_r:sendmail_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=file


type=AVC msg=audit(1404974796.462:1269): avc:  denied  { open } for  pid=12051 comm="sendmail" path="/root/dead.letter" dev="dm-2" ino=666391 scontext=system_u:system_r:sendmail_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=file


type=SYSCALL msg=audit(1404974796.462:1269): arch=x86_64 syscall=open success=yes exit=EINTR a0=178d360 a1=441 a2=1b6 a3=1 items=0 ppid=12050 pid=12051 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=12 sgid=12 fsgid=12 tty=(none) ses=4294967295 comm=sendmail exe=/usr/sbin/ssmtp subj=system_u:system_r:sendmail_t:s0-s0:c0.c1023 key=(null)

Hash: sendmail,sendmail_t,admin_home_t,file,create

Additional info:
reporter:       libreport-2.2.2
hashmarkername: setroubleshoot
kernel:         3.14.8-200.fc20.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2014-07-16 11:28:05 UTC
https://github.com/selinux-policy/selinux-policy/commit/b8bf511dbbdee4b6cc679874b60ecb323483f1af

commit b8bf511dbbdee4b6cc679874b60ecb323483f1af
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jul 16 13:26:31 2014 +0200

    Allow mailserver_domain domains to create mail home content with right labeling.

Comment 2 Fedora Update System 2014-07-24 08:47:39 UTC
selinux-policy-3.12.1-179.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-179.fc20

Comment 3 Fedora Update System 2014-07-25 10:06:33 UTC
Package selinux-policy-3.12.1-179.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-179.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8830/selinux-policy-3.12.1-179.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-26 15:59:57 UTC
selinux-policy-3.12.1-179.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.